/*
 * Class EV_PRINT_CONTEXT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_60 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_60 [] = {0xFF01,1551,59,0xFFFF};
static const EIF_TYPE_INDEX egt_2_60 [] = {0xFF01,59,0xFFFF};
static const EIF_TYPE_INDEX egt_3_60 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_60 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_60 [] = {0xFF01,59,0xFFFF};
static const EIF_TYPE_INDEX egt_6_60 [] = {0xFF01,59,0xFFFF};
static const EIF_TYPE_INDEX egt_7_60 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_60 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_60 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_60 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_60 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_60 [] = {0xFF01,59,0xFFFF};
static const EIF_TYPE_INDEX egt_13_60 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_14_60 [] = {0xFF01,839,0xFFFF};
static const EIF_TYPE_INDEX egt_15_60 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_60[] = {
	{EIF_GENERIC(NULL), 824, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_60), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_60), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_60), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_60), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_60), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_60), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_60), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_60), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_60), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_60), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_60), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_60), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 825, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x77 /*59*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_60), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 826, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 797, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 798, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 799, 20},
	{EIF_NON_GENERIC(0x06CB /*869*/), 800, 24},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 801, 8},
	{EIF_GENERIC(egt_13_60), 802, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 803, 28},
	{EIF_NON_GENERIC(0x06CB /*869*/), 804, 32},
	{EIF_GENERIC(egt_14_60), 805, 4},
	{EIF_GENERIC(egt_15_60), 806, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 807, 9},
	{EIF_GENERIC(NULL), 808, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 809, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 810, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 811, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 812, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 813, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 814, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 815, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 816, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 817, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 818, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 819, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 820, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 821, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 822, 36},
	{EIF_GENERIC(NULL), 823, 0xFFFFFFFF},
};
void Init60(void)
{
	IDSC(desc_60, 0, 59);
	IDSC(desc_60 + 1, 1, 59);
	IDSC(desc_60 + 32, 1153, 59);
}


#ifdef __cplusplus
}
#endif
